2012-04-24
Fixed error in includeMSn for MS1 only files.

2012-04-23
Bug fix to stitch method

2012-04-20 1.33.6
Minor bug fix

2012-04-17 1.33.5
Found yet more odd new file from waters causing problems. Added another if statement in both CDF & XML blocks
+ Attempt to fix float64 error on windows build and improve return of findPeaks.massifquant
+ massifquant integrated with Centwave intensity estimation

2012-04-15 1.33.4
Added better coding for automatic detection of lockMass on netCDF files and catch of newer altered files.
Coding to come after more testing
Also changed group.nearest code to improve speed. Changed for loop -> apply ~2x - 3x faster :-)

2012-04-13 1.33.3
Improve writemzdata() to also store MSn data if that's contained in the xcmsRaw.

2012-04-04 1.33.2
Patches from Chris Pudney and Chris Conley: optional argument ROI.list for findPeaks.centWave and additional small changes in centWave to enable processing of ROI lists generated by "massifquant"
Fixed bug in centWave where it would try to use scale=0 under certain circumstances

2012-04-04 1.33.1
Fix problem for group() if only one peak in xcmsSet

2012-03-07 1.31.13
Use the old RAMP and netCDF interfaces now part of mzR,
which is a major speed improvement

2012-03-07 1.31.12
Add RUnit to the Suggested packages, needed during R CMD check

2012-03-06 1.31.11
Fix Rgraphviz::plot() call

2012-03-04 1.31.10
Revert last change because BiocGenerics also reverted

2012-02-27 1.31.9
Adapt xcmsFragments plotTree to new Rgraphviz plot() S4 approach

2012-02-27 1.31.8
Fixed MassIfQuant on windows

2012-02-15 1.31.7
fixed missing close(mz) in xcmsRaw.R

2012-01-11 1.31.6
Added scanrange parameter to xcmsRaw

2011-11-07 1.31.2
Moved to mzR for all I/O. Caveat: since the underlying I/O functions
have changed, it is not unlikely that there will be some regressions.

2011-11-07 1.31.1
Added getMsnScan() to NAMESPACE, added doc and unit test

2011-10-05 1.31.0
Version bump for 2.9

2011-10-04 1.28.1
Added warnings and recovery for silent errors from stitch.netcdf that happen when there are few lock mass scans.

2011-09-30 1.28.0
The massifquant plug-in has been integrated into the finding features options.

2011-09-21 1.27.8
Fixed getMsnScan(), which was present twice. The (for now) disabled variant
in xcmsRaw.R:getMsnScan() has some heuristics to match MS2 to MS1,
but AFAICS never really worked in the general case
("Error in .local(object, ...) : object 'msn' not found")
and wasn't exported anyway.

2011-09-19 1.27.7
Added stitch method for netCDF files which require special code. Made a parent stitch function
and allowed stitch to be called automatically with parallel code.

2011-09-22 1.27.6
fillPeaks/getPeaks: fixed rare bug when weighted.mean could not be calculated
xcmsSet(): catch empty peaklist (NULL) and give warning
retcor.peakgroups: fixed rare bug when rector correction loop does not converge
removed quotes in some error strings, which cause problems when error messages are imported into DB

2011-07-13 1.27.4
Added new method to automatically find Lock mass parameters
Made lock mass correction work with nSlaves :)

2011-07-06 1.27.3
Increased the speed of stitch function 10-50x faster.
Removed xcms2 functions and documentation
re-enable Win 64bit builds

2011-03-29: 1.25.6
retcor.obiwarp: Fixed problems with retcor.obiwarp when profile matrices have different m/z ranges
by calculating the profile matrix with whole-number limits (profStepPad)
findPeaks.centWave: make sure peak maximum ("maxo") is assigned correctly

2011-03-16: 1.25.5
Moved output in xcmsSet so that a broken file shows before
any xcmsRaw/findPeaks() error.

2010-12-16: 1.25.4
Fixed polarity filter check in xcmsSet()
Added new plotting method 'peakPlots' for quickly finding peaks within a group.

2010-11-21: 1.25.3
plotRaw: show empty plot if region is empty (insted of giving an error message)

2010-11-09: 1.25.2
updated checkoutpwiz.sh and src/Makevars (Makevars.win is *not* updated)

2010-10-20: 1.25.1
retcor.obiwarp: fixed bug that caused segmentation fault

2010-09-19: 1.24.0 & 1.25.0
BioConductor release version bump

2010-09-24: 1.23.8
write.mzdata(): fix "bad" scans while writing mzData
avoid unexpected results from peakTable() by using value="into" as default (instead of value="index")

2010-09-01: 1.23.7
Added support to write.mzdata()
Replaced pre-compiled Windows x64 libraries for netCDF and compression

2010-08-17: 1.23.6
Speedup for distributed feature detection: using load balanced version of snow's clusterApply
Added argument msgfun to xcmsClusterApply, to provide better status messages for distributed computing
Fixed: initialisation of retcor methods
Fixed: retcor.peakgroups stopped with an error message when parameters col=NULL or ty=NULL were used

2010-08-06: 1.23.5
xcmsRaw: for consistency with xcmsSet the default profiling method was changed to "bin"
Added support for comparison of two single samples, tstat and pval are NA in that case
centWave: Fixed problem with chromatographic peaks that have "gaps"

2010-06-30: 1.23.4
centWave returns empty peaklist if no ROIs were found instead of giving an error
Fixed dropped dimensions problem in centWave when used with fitGauss=T and sleep > 0
Fixed plotRaw parameters for centWave's plot

2010-06-30: 1.23.3
Changed code for data correction/gap filler/stitch method. Increased documentation for stitch method. Added separate file for code, making xcmsRaw slightly smaller. Added slot into xcmsSet object so no parameters were needed for fillPeaks anymore.

2010-06-10:
Fixed a problem in matchedFilter reported on the list
by Gregory Alan Barding (binlin processing)

2010-05-17:
Added a try() to ignore not-installed Rmpi and snow packages to avoid popup window in Windows

2010-05-12:
Fixed bug when specifying snames in xcmsSet
Removed unused fread() in obiwarp, which also fixed warning in newer g++ 4.4.3

2010-04-30: 1.23.1: Added new search method for metlin to diffreport. Time permitting, more to come (HMDB, KEGG via KEGGSOAP). Increase read speed of read.metlin
Added a MicroMass Waters specific scan/intensity correction due to missing scan from lock mass scan into xcmsSet. NB not in parallel code yet.

2010-03-12: 1.21.18:
Fixed nasty bug (index off-by-one) in split.xcmsRaw() which resulted in corrupt spectra

2010-03-12: 1.21.17:
started adding MSn filtering into xcmsRaw and xcmsSet
Added a deepCopy() for xcmsRaw, otherwise copies would share xraw@env
2010-03-08: 1.21.16:
Fixed building the package from source on Mac
bugfix: group.nearest: fixed problems /w very small feature lists
bugfix: retcor.{peakgroups,obiwarp}: re-reading the raw data to get scan aquisition times was for netcdf only

2010-02-18: 1.21.15:
fixed handling of sampclasses / complex phenoData

2010-02-18: 1.21.14:
Added simple multicore support for all platforms
using snow cluster with local sockets.
snow is automatically used if (nSlaves > 1)
and Rmpi is not available.

Added snow as "suggested" package.

2010-02-16: 1.21.13:
Added RANN as "suggested" package.

2010-02-14: 1.21.12:
minor code beautifications
Be more graceful if centWave does not find any peaks
- added progressInfo & callback functionality to xcmsSet
  e.g. test <- function(progress) cat(progress$group.nearest, "\n")
   xs <- xcmsSet(progressCallback=test)
   or: xs@progressCallback <- test
   test with:  xsg <- group(xs, method="nearest")

- added headerfile to fix compiler warnings for fastMatch.c


2010-01-30: 1.21.11:
Allow an explicit center argument in retcor(method="obiwarp").

2010-01-06: 1.21.10:
Preparing for mzML support

2010-01-05: 1.21.9:
start to modularise the *.R files by extracting class definitions

2009-12-18: 1.21.8:
added absent(xset) / preseant(xset) function.
Fixed xcmsSet@filled in fillPeaks.chrom()

2009-12-16: 1.21.7:
fillPeaks/getPeaks :  fix for R 2.11.0 :  weighted.mean() results in NA (not NaN) for zero weights
   (R 2.11.0 changelog: "...Zero weights are handled specially so an infinite value with zero weight does not force an NaN result.")

2009-11-30: 1.21.6:
Parameter unification: "massrange" replaced by "mzrange" and "timerange" replaced by "rtrange", for all xcms functions
R/xcmsRaw.R: added plotEIC()

2009-11-27: 1.21.5:
Added error messages for cases where the user specifies the step and/or method
parameters differently in the two ways they can be given to xcmsSet()

2009-11-25: 1.21.4:
Fixed a dimension problem in collect() for MS2

2009-11-13: 1.21.3:
added a check for (un)grouped xcmsSet to groupval()
findmzROI shows scan number in case of errors
clarified manpage for diffreport, anova section

2009-11-08: 1.21.2:
R/xcmsSet.R: added peakTable()

2009-10-28: 1.21.1:
added a check for grouped xcmsSet with NA values (i.e. without fillPeaks()) to diffreport()

2009-10-11: 1.18.4
group.nearest: fixed/added calculation of peaks-per-sampclass,
               resolving problem in retcor() reported by Daniel Maturana

2009-07-17: 1.18.2
fixed calculation of specNoise() for 1-point spectra in xcmsRaw.R

2009-07-17: 1.18.1
findPeaks.centWave: fixed missing mzCenter.* assignment, when fitgauss=T is used

2009-08-04: 1.18.0
fillPeaks/getPeaks: fixed bug introduced with 1.17.9's bugfix, that filled in zero intensities

2009-07-17: 1.17.9
findPeaks.centWave: narrow down peak rt boundaries by skipping zeros
fillPeaks/getPeaks: fixed problem with nonexisting retention times due to retcor(),
                    fill in zero instead of NaN (which breaks diffreport), but print a warning

2009-06-22: 1.17.8
findPeaks.centWave: Optimizations for OrbitTrap/FTICR data, different functions can be used for calculating
                    the m/z center of the feature: mzCenter.{mean,wMean,apex,wMeanApex3,meanApex3}
                    Fixed: maximum intensity (maxo) was incorrect for some features
OBSOLETED xcmsRaw@msnPeakCount, it was not set, not used and can be calculated from msnScanIndex

2009-05-28: 1.17.7
Fixing a couple coding/documentation bugs in plotTIC

2009-05-28: 1.17.6
Some arguments renaming for retcor(method="obiwarp")

2009-05-07: 1.17.5
Fix getEIC() for xcmsRaw

2009-05-07: 1.17.4

2009-05-07: 1.17.3
Fixed warnings in Obiwarp with cor_opt

2009-04-23: 1.17.2
Reverted Mac Multiarch builds after BioC buildfarm changes
Fixes in Obiwarp alignment

2009-04-21: 1.17.1
Fixed return value of group(method="nearest")
to be a proper (grouped) xcmsSet

2009-04-20: 1.17.0
Version bump for new devel branch

2009-04-17: 1.15.15
findPeaks.centWave: changed minPtsAboveBaseLine to max(4,minPeakWidth-2)
Modified all target in Makevars to delete old object files to support usage on Mac OS X.
Correctly parse Bruker MS2 precursor masses
Add targets all: and .PHONEY: to Makevars, to both build and clean
updated isCentroided() heuristic to work with Orbitrap/ReAdw

2009-03-31: 1.15.13
xcmsSet: using RANN package for group(method="nearest")
         for major speed improvements
xcmsSet: added a new group() method="nearest",
         similar to the algorithm used by mzMine
         added citations
         Added group.nearest() and cleanup of src/ramp.cpp for gcc-4.3
Fixed bug in findmzROI associated with empty scans

2009-03-10: 1.15.12
xcmsSet: added dispatching function retcor(method="...")
         moved retcor() to retcor.peakgroup()
         added new retcor.obiwarp function

2009-03-01: 1.15.11
xcmsSet: added getScanWindow() and plotScanWindow() which provide
         the same kind of graphics for direct-infusion spectra
         as xcmsEIC does for LC-MS

2009-02-19: 1.15.10
xcmsSet, fillPeaks.*: add a (boolean) vector indicating whether
    a peak was added via fillPeaks()
fillPeaks.MSW: Fix calculation of mz boundary (and thus improve intensities)
diffreport(): Added plotting for single spectra in diffreport()

2009-02-18: 1.15.9
findPeaks.centWave: ROI detection was rewritten,
    new version is faster and needs less memory,
    some small bugs were fixed
findPeaks.centWave gains an optional argument "noise",
    which is useful for data that was centroided without any intensity threshold,
    centroids with intensity < "noise" are omitted from ROI detection
Updated and removed bugs from simSearch method
Optimized metlin to list method. Runs faster and reduced memory size
Fix rawMat method when specific scan range specified. Fix naming of
parameters in plotRaw docs.

2009-02-13: 1.15.8
Fixed: "diffreport()" fails if "sortpval" is false and "eicmax" > 0, reported by Hendrik Weisser

2009-02-11: 1.15.7
Fixed: call phenoDataFromPaths() only if necessary

2009-02-02: 1.15.6
Fixed Bug with unused class levels, reported by Hendrik Weisser
Added error message in getEIC() to use fillPeaks() for filling up NA values

2009-01-20: 1.15.5
Catch Tandem-MS and MSn files without MS1 scans,
disable profile matrix generation and part of the summary.
Changed the way fillPeaks.chrom() is calculating mzmin/mzmax
to use the *median* of existing peaks' mzmin/mzmaxo

2009-01-12: 1.15.4
findPeaks.MSW now returns proper mzmin/mzmax boundaries
for Peaks, which are calculated via the best scale (== width) for a peak
findPeaks.MSW now returns more intensity variants,
including integrated (non-baseline corrected) raw values
between mzmin/mzmax.
Converted fillPeaks() to honour method="" arguments
Added fillPeaks(xs, method="MSW") to process Direct Infusion Data

2008-12-17: 1.15.3
Fix the Calculation of Anova values for >2 sample classes
Fix polarity selection

2008-11-07: 1.15.2
Fixed isCentroided if the center spectrum has only one peak
Added a slot "polarity" to xcmsRaw for mixed Polarity files
Added split.xcmsRaw() to split the scans in one xcmsRaw across several xcmsRaws
Added polarity to xcmsSet, allows filtering of raw files

2008-11-05: 1.15.1
Fixed xcmsBoxPlot() behaviour, now obeying max_eics

2008-10-22: 1.15.0
Added unitTests

2008-10-20: 1.13.11
Herve Pages: fix global variable (typo) and Version bump

2008-10-02: 1.13.10
findPeaks.centWave: added check & warning for invalid scanrange parameter
sampnames<-(): fix for empty xcmsSet@phenoData
sampclass<-(): don't overwrite samplnames fixed

2008-09-22: 1.13.9
fixed documentation for findPeaks.MSW

2008-09-19: 1.13.8
findPeaks.MSW is compatible with patched versions of MassSpecWavelet

2008-09-09: 1.13.7
xcms allocates a lot less memory when loaded
workaround for openSUSE 11.0 gcc compiler bug

2008-08-11: 1.13.6
Added calibrate() to xcmsSet, incl. vignette in xcmsDirect.pdf
findPeaks.centWave: save some time: compute dppm only if needed

2008-07-15: 1.13.5
Parallel peak detection using Rmpi
Added mpi.finalize() via .Last
Changed plot.metlin so that x axes is the same on both plots
initialise variables gcc complained about
fix error in searchMetlin method.
xcmsRaw collect changes for simple-er code
added -DWIN32_LEAN_AND_MEAN to Makevars.win to fix ramp build on windows
Fix another windows build issue
Added findPeaksMPI() MPI slave function
moved Rgraphviz from required to suggested packages
Preparations for parallel peak picking using MPI, added xcmsPapply() function
removed duplicate definition of xcmsRaw.getsnScan
helper method added for xcmsRaw.collect
added helper method for collect
export new MS/MS searching methods
Added collect to xcmsRaw to convert to xcmsFragments, for searching
NB findPeaks method doesn't alway pick up all peaks that have ms^n data on them.
Ported phenoData code from 1.13.2
Added MS/MS searching methods. searchMetlin and similarity search methods for MS/MS data.
Added dirty nasty methods to find different metabolotes in metlin XML. the collision energy, name, mode (+/-)
Added MS/MS parser for metlin XML MS/MS data
Fix call to MassSpecWavelet
Reapplied Colins Fix + Michaels changes
enable write.cdf()
Backported mzClust stuff
Fix includeMSn handling in xcmsSet + Graphviz fix + use filepath for CDF path
Restored some (most?) xcmsFragments functionality

2008-06-03: 1.13.4
Ported the following Changes from 1.13.3:
- Migrate to ncdf for xcmsRaw.write()
- Added xcmsRaw CDF export contributed by Peter.Watkins at Food Science Australia (FSA)
- mzClust for spectra alignment
- added method="density/mzClust" to group()

2008-06-03: 1.13.3
Promote stable 1.12.1 to 1.13.3

2008-05-12: 1.12.1
centWave/findmzROI: Fix for CE-MS files

2008-04-30: 1.12.0
BioConductor Release 2.2 version bump

2008-04-29: 1.11.22
Revert yesterdays change, and bring back 1.11.20 with a version bump
to avoid inconsistencies

2008-04-28:
Resurrection of 1.11.18 as 1.11.21

2008-04-18: 1.11.20
Increased "max" parameter of group() from 5 to 50
Fixed : plotTIC won't work if object@tic slot is empty
xcmsSet() now gives an error message if no data files were found
More straightforward API for findPeaks.centWave, much less parameters are needed
    CAVE: peak width range (in seconds) is used instead of scale range
    CAVE: ppm instead of dev parameter
Added ... to diffreport to pass optional parameters to mt.teststat
Added value = c("into","maxo","intb") parameter to diffreport
Added warning if non-unique scantimes are detected to xcmsRaw()
rawEIC() verifies the scanrange
findPeaks.centWave generates a warning if data seems to be not in centroid mode
Added method isCentroided()
Added prefilter option to findPeaks.centWave
Fixed bug in centWave/fitGauss
Added prefilter option to findmzROI
Speedup for findmzROI
Renamed findMZBoxes to findmzROI
Removed findMZBoxes from NAMESPACE
Fixed plotScan() for "last" spectrum, catch out-of-bounds arguments

2008-04-02: 1.11.19
Import xcms from BioC 2.1

2008-04-02: 1.10.8
Fix duplicate setGeneric() which fails on R-2.7a
Fix BinLinBase which had an uninitialised argument in .Call()
Provide clean base for pulling 1.10.8 into 1.11.19

2008-01-24: 1.10.7
Fix in plot(eic) for xcmsEIC with absent groups

2007-11-13: 1.10.6
Removed unnecessary use of data.frame in findPeaks.centWave(), this fixes
a long delay when large peaklists are generated

2007-11-12: 1.10.5
Increased buffer size in findMZBoxes() to catch a rare bug

2007-11-07: 1.10.4
Standardised peak area calculation by introducing scan-distance multiplier to findPeaks.centWave()

2007-11-07: 1.10.3
Fixed a serious fillPeaks() bug introduced in version 1.9.5, which caused it to
silently fill in zero intensities for almost every missing peak

2007-11-01: 1.10.2
Fixed bug in findPeaks.centWave() buffer initialisation (mzboxes.c)
Added check in findPeaks.matchedFilter() for not picking filter artefacts

2007-10-09: 1.10.1
Added error when xcmsRaw objects are read that have non-monotonic stantimes
Added warning when retcor() is probably overcorrecting
Fixed a bounds checking bug in specPeaks()

2007-10-08: 1.10.0
Bioconductor release 2.1

2007-09-17: 1.9.6
rawEIC uses binary search
findMZBoxes gives proper error messages
findPeaks.centWave
  - new baseline and S/N estimation (default snthresh=20)
Bugfix for MSW.getRidge

2007-09-04: 1.9.5
Fixed bug were fillPeaks() would fail if there was <= 1 peak to fill in
Made getPeaks() slightly more memory efficient by correcting an oversight
flush.console() is now called on all systems during long operations

2007-07-16: 1.9.4
Increased buffer size to 100000 in findMZBoxes() to handle also files with a vast number of peaks
Fixed bug in MSW.getRidge() to catch empty ridgeLists
findPeaks.centWave
  - The scale on which the peak was localised is also returned
  - additional logical argument fitgauss, gaussian fits are no longer mandatory
  - Integration method can be choosen: descent on the mexican hat filtered data or on the real data. Method 2 is honest,
    while method 1 (default) is more robust to noise.
  - runs much faster

2007-06-29: 1.9.3
Added wrapper for MassSpecWavelet peak picking on single spectra (findPeaks.MSW)
Added some more logic to joinOverlappingFeatures()

2007-05-??: 1.9.2
Fixed mzdata problem under windows (ramp.c v1.39 from CVS)
Removed workaround for ramp/gcc bug

2007-05-??: 1.9.1

Workaround for ramp/gcc bug (optimization lowered to -O1 for ramp.c)
Several improvements for findpeaks.centWave
Removed maxGaussErr option in findpeaks.centWave
Fixed bug in joinOverlappingFeatures()
Fixed bug in findpeaks.centWave where rt was not assigned correctly
Updated ramp.c to v1.38 (from CVS)

2007-04-26: 1.8.0 & 1.9.0

introduced namespace
plot(xcmsEIC) problem seems to be fixed

Added :
  - rawEIC method
  - findMZBoxes method
  - findPeaks.centWave method
Modified findPeaks() method to support different findPeaks.* algorithms

RAMP: updated ramp.c (v1.37), ramp.h  (from CVS)
  - ...
  - handle mzData "TimeInSeconds" values
  - dealing with mzXML files with missing scans
  - support for zlib compression

Check if file exists in xcmsRaw()
Plot (log) colored data points in plotRaw()

Modified findPeaks method:
  - Moved column "i" (peak number within combined EIC) to the second-to-last column
  - Added column "sn" with signal to noise ratio
xcmsSets now include "i" and "sn" columns in the peaks matrix

Updated Windows NetCDF library to version 3.6.2 (now statically linked into xcms.dll)

Small fixes to xcmsSet generation relating to finding/categorizing files:
  - If the files argument is not set, then "./" is no longer appended
  - One character directory names, and thus group names, are now supported

Enabled axis labels for OpenGL surface plotting using plotSurf()

Removed formerly depricated function clustunique()

Changed xcmsEIC plotting function from an S4 to an S3 method

2006-04-27: 1.6.1 & 1.7.0

Bioconductor release 1.9 and development branch 2.0
Fixed documentation and DESCRIPTION file for R 2.4.0 package check

2006-08-24: 1.5.2

Fixed bug where xcmsSet() failed if less than 2 peaks were detected in a file
Added warning to xcmsSet() if less than 10 peaks were detected in a file

2006-05-09: 1.5.1

Fixed bug where NetCDF files would have their scans incorrectly reversed
Merged recent changes to RAMP mzXML/mzData parser to support TimeInMinutes

2006-04-27: 1.4.0 & 1.5.0

Bioconductor release 1.8 and development branch 1.9
No changes to code or functionality from 1.3.2

2006-02-25: 1.3.2

Blank spectra in mzXML and mzData files are now ignored
EIC width can now be specified in diffreport()
Better error reporting in getEIC()
Fixed rare problem in getEIC()

2005-12-07: 1.3.1

Added support for reading mzData files
Only full-scan spectra are read from mzXML files
The group() function now returns only unique, non-overalpping peak groups
Replaced clustunique utility function with C implementation: rectUnique

2005-10-14: 1.2.0 & 1.3.0

Bioconductor release 1.7 and development branch 1.8
No changes to code or functionality from 1.1.6

2005-08-26: 1.1.6

Fixed bug in plotPeaks()
Updated for compatibility with R 2.2.0

2005-08-23: 1.1.5

Improved peak identification to return full precision masses
regardless of EIC step size

2005-08-16: 1.1.4

Added mzXML raw data import
Added linear alignment method to retcor()
Added check for too small span in retcor()
Created CHANGELOG

2005-08-11: 1.1.3

Added xcmsEIC class
Added groupNames method to xcmsSet
Fixed bug in EIBPC buffer range calculations
Changed sn argument name to snthresh in findPeaks()

2005-07-21: 1.1.2

Fixed bug in retention time correction leading to NA times

2005-06-22: 1.1.1

Improved xcmsSet() constructor handling of absolute path names

2005-05-20: 1.1.0

Bumped version for Bioconductor 1.7 development cycle

2005-05-11: 1.0.0

Bioconductor 1.6 release
Created workaround for xcmsRaw() slowdown introduced in R 2.1.0
Refined xcmsInstall vignette and plotSurf() function

2005-05-09: 0.5.6

Added xcmsInstall vignette

2005-05-05: 0.5.5

Added check for group data to retcor(), fillPeaks(), & diffreport()

2005-05-04: 0.5.4

Improved plotSurf() function with fixed aspect ratio scaling
Added function documentation

2005-04-28: 0.5.3

Fixed bugs in utility functions
Added function documentation

2005-04-15: 0.5.2

Added options for pruning groups during cross-sample peak matching
Improved dynamic library loading/unloading

2005-04-12: 0.5.1

Fixed warnings during Windows compilation

2005-03-31: 0.5

Checked xcms into Bioconductor SVN repository
